T-Mobile – still NO Snow Leopard compatibility

Apple’s latest operating system update Mac OS X 10.6 – Snow Leopard – has now been released and we’re currently testing compatibility of our Mobile Broadband products against it.

If software updates are required we’ll post them to this site as soon as they’re ready.

In the meantime, if you need to continue to use your Mobile Broadband we’d recommend you stick with your current operating system, just in case there are any compatibility issues with Snow Leopard.

If you use the Mobile Broadband USB Stick 120 or USB Stick 620, you should not use this with MAC OS X 1.6 (Snow Leopard). It is currently incompatible and can cause serious issues with system stability

T-Mobile use Launch2Net software for their Web n Walk service, which was updated for Snow Leopard in September. The T-Mobile version is still not available. This is poor service.

Advertisements

One thought on “T-Mobile – still NO Snow Leopard compatibility

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s